com.microsoft.sqlserver.jdbc

## Interface ISQLServerCallableStatement42

All Superinterfaces:
  AutoCloseable, CallableStatement, ISQLServerCallableStatement, ISQLServerPreparedStatement, ISQLServerPreparedStatement42, ISQLServerStatement, PreparedStatement, Statement, Wrapper

All Known Implementing Classes:
  SQLServerCallableStatement42

    public interface ISQLServerCallableStatement42
    extends ISQLServerCallableStatement, ISQLServerPreparedStatement42

This interface requires all the CallableStatement methods including those are specific to JDBC 4.2

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `registerOutParameter(int index, SQLType sqlType)`
`void` `registerOutParameter(int index, SQLType sqlType, int scale)`
`void` `registerOutParameter(int index, SQLType sqlType, int precision, int scale)`
`void` `registerOutParameter(int index, SQLType sqlType, String typeName)`
`void` `registerOutParameter(String parameterName, SQLType sqlType)`
`void` `registerOutParameter(String parameterName, SQLType sqlType, int scale)`
`void` `registerOutParameter(String parameterName, SQLType sqlType, int precision, int scale)`
`void` `registerOutParameter(String parameterName, SQLType sqlType, String typeName)`
`void` `setObject(String sCol, Object obj, SQLType jdbcType)`
`void` `setObject(String sCol, Object obj, SQLType jdbcType, int scale)`
`void` `setObject(String sCol, Object obj, SQLType jdbcType, int scale, boolean forceEncrypt)`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerCallableStatement

`getDateTimeOffset, getDateTimeOffset, setDateTimeOffset`

### Methods inherited from interface java.sql.CallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerPreparedStatement42

`setObject, setObject, setObject, setObject`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerPreparedStatement

`setDateTimeOffset`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerStatement

`getResponseBuffering, setResponseBuffering`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### registerOutParameter

    void registerOutParameter(int index,
                              SQLType sqlType)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter(int index,
                              SQLType sqlType,
                              String typeName)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter(int index,
                              SQLType sqlType,
                              int scale)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter(int index,
                              SQLType sqlType,
                              int precision,
                              int scale)
                       throws SQLServerException

Throws:
  `SQLServerException`

#### setObject

    void setObject(String sCol,
                   Object obj,
                   SQLType jdbcType)
            throws SQLServerException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    void setObject(String sCol,
                   Object obj,
                   SQLType jdbcType,
                   int scale)
            throws SQLServerException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    void setObject(String sCol,
                   Object obj,
                   SQLType jdbcType,
                   int scale,
                   boolean forceEncrypt)
            throws SQLServerException

Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter(String parameterName,
                              SQLType sqlType,
                              String typeName)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter(String parameterName,
                              SQLType sqlType,
                              int scale)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter(String parameterName,
                              SQLType sqlType,
                              int precision,
                              int scale)
                       throws SQLServerException

Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter(String parameterName,
                              SQLType sqlType)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`